git: bac0daa9cbcb - main - universe.sh: build with 1.5 * ncpu jobs
- Go to: [ bottom of page ] [ top of archives ] [ this month ]
Date: Wed, 09 Sep 2026 03:42:24 UTC
The branch main has been updated by vexeduxr:
URL: https://cgit.FreeBSD.org/src/commit/?id=bac0daa9cbcba8bd4147f8e6a24b097fb6eefdc5
commit bac0daa9cbcba8bd4147f8e6a24b097fb6eefdc5
Author: Ahmad Khalifa <vexeduxr@FreeBSD.org>
AuthorDate: 2026-09-09 03:41:05 +0000
Commit: Ahmad Khalifa <vexeduxr@FreeBSD.org>
CommitDate: 2026-09-09 03:41:05 +0000
universe.sh: build with 1.5 * ncpu jobs
Build with 1.5 * ncpu jobs instead of hardcoding 40.
Reviewed by: imp
Differential Revision: https://reviews.freebsd.org/D59515
---
tools/boot/universe.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/tools/boot/universe.sh b/tools/boot/universe.sh
index 75421c28ffba..4cd31e4976b2 100755
--- a/tools/boot/universe.sh
+++ b/tools/boot/universe.sh
@@ -35,7 +35,7 @@ dobuild()
echo "Fail (cleanup)"
continue
fi
- if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make ${opt} -j 40 all" \
+ if ! make buildenv TARGET_ARCH=$ta BUILDENV_SHELL="make ${opt} -j 1.5 all" \
>> $lf 2>&1; then
echo "Fail (build)"
continue